Skip Menu |
 

This queue is for tickets about the Module-Depends CPAN distribution.

Report information
The Basics
Id: 119324
Status: open
Priority: 0/
Queue: Module-Depends

People
Owner: Nobody in particular
Requestors: jkeenan [...] cpan.org
Cc: SREZIC [...] cpan.org
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)

Attachments
Module-Depends-0.15-Fix-escaping-literal-curly-brackates-in-a-regexp.patch
Module-Depends-unrecognized-left-brace.diff
module-depends.log



CC: SREZIC [...] cpan.org
Subject: t/depends.t: Unescaped left brace in regex is illegal here in regex
Download (untitled) / with headers
text/plain 206b
This syntax will be illegal in perl-5.26. See, e.g., http://www.cpantesters.org/cpan/report/fd3e3ef6-c40f-11e6-926d-5fb4c671d6e6 The patch attached may provide a solution. Thank you very much. Jim Keenan
Subject: Module-Depends-unrecognized-left-brace.diff
Only in t/: build_version diff -u -r t/depends.t corrected_t/depends.t --- t/depends.t 2016-12-20 11:53:54.949470731 -0500 +++ corrected_t/depends.t 2016-12-20 11:56:12.416450912 -0500 @@ -44,7 +44,7 @@ $notthere->dist_dir('t/empty')->find_modules; like( $notthere->error, - qr{^No {Build,Makefile}.PL found }, + qr{^No \{Build,Makefile\}.PL found }, "fails on empty dir" ); Only in t/: empty Only in t/: inline-makemaker Only in t/: makemaker-false Only in t/: mmish Only in t/: module-install Only in t/: module-install-versioned Only in t/: old Only in t/: template-extract Only in t/: uses-findbin Only in t/: with-yaml
RT-Send-CC: XSAWYERX [...] cpan.org
Download (untitled) / with headers
text/plain 801b
This is a bug report for: Module-Depends-0.16 Due to unescaped left braces in some regular expression patterns in your code, your module won't work on 5.26.0. The CPAN Tester automated testing service cannot test your distribution on new versions of Perl until it is fixed and any modules that depend on yours will not work either. Please see: http://matrix.cpantesters.org/?dist=Module-Depends Here is a link to all modules that depend on yours: http://deps.cpantesters.org/depended-on-by.pl?dist=Module-Depends We would appreciate help in sorting this out before the new version of Perl is released in May of this year. These errors are quite easy to correct and I would be happy to lend a hand. I'm including a log file of my failure to build and install using "cpanm". Thanks! Jim Keenan
Subject: module-depends.log
Download module-depends.log
text/x-log 6.1k
cpanm (App::cpanminus) 1.7042 on perl 5.025009 built for x86_64-linux Work directory is /home/jkeenan/.cpanm/work/1483530005.31251 You have make /usr/bin/make You have /usr/bin/wget You have /bin/tar: tar (GNU tar) 1.28 Copyright (C) 2014 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Written by John Gilmore and Jay Fenlason. You have /usr/bin/unzip Searching Module::Depends () on cpanmetadb ... --> Working on Module::Depends Fetching http://www.cpan.org/authors/id/R/RC/RCLAMP/Module-Depends-0.16.tar.gz -> OK Unpacking Module-Depends-0.16.tar.gz Entering Module-Depends-0.16 Checking configure dependencies from META.yml Checking if you have ExtUtils::Install 1.46 ... Yes (2.04) Checking if you have Module::Build 0.38 ... Yes (0.4220) Configuring Module-Depends-0.16 Running Build.PL Checking prerequisites... requires: ! Class::Accessor::Chained is not installed ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation Created MYMETA.yml and MYMETA.json Creating new 'Build' script for 'Module-Depends' version '0.16' -> OK Checking dependencies from MYMETA.json ... Checking if you have Parse::CPAN::Meta 0 ... Yes (2.150010) Checking if you have Class::Accessor::Chained 0 ... No Checking if you have File::Spec 0 ... Yes (3.66) Checking if you have Test::More 0 ... Yes (1.302073) ==> Found dependencies: Class::Accessor::Chained Searching Class::Accessor::Chained (0) on cpanmetadb ... --> Working on Class::Accessor::Chained Fetching http://www.cpan.org/authors/id/R/RC/RCLAMP/Class-Accessor-Chained-0.01.tar.gz -> OK Unpacking Class-Accessor-Chained-0.01.tar.gz Entering Class-Accessor-Chained-0.01 Checking configure dependencies from META.yml Checking if you have Module::Build 0.38 ... Yes (0.4220) Checking if you have ExtUtils::Install 1.46 ... Yes (2.04) Configuring Class-Accessor-Chained-0.01 Running Build.PL Checking prerequisites... requires: ! Class::Accessor is not installed ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation Created MYMETA.yml and MYMETA.json Creating new 'Build' script for 'Class-Accessor-Chained' version '0.01' -> OK Checking dependencies from MYMETA.json ... Checking if you have Class::Accessor 0 ... No Checking if you have Test::More 0 ... Yes (1.302073) ==> Found dependencies: Class::Accessor Searching Class::Accessor (0) on cpanmetadb ... --> Working on Class::Accessor Fetching http://www.cpan.org/authors/id/K/KA/KASEI/Class-Accessor-0.34.tar.gz -> OK Unpacking Class-Accessor-0.34.tar.gz Entering Class-Accessor-0.34 Checking configure dependencies from META.yml Configuring Class-Accessor-0.34 Running Makefile.PL Checking if your kit is complete... Looks good Generating a Unix-style Makefile Writing Makefile for Class::Accessor Writing MYMETA.yml and MYMETA.json -> OK Checking dependencies from MYMETA.json ... Checking if you have ExtUtils::MakeMaker 0 ... Yes (7.24) Checking if you have base 1.01 ... Yes (2.24) Building and testing Class-Accessor-0.34 cp lib/Class/Accessor/Faster.pm blib/lib/Class/Accessor/Faster.pm cp lib/Class/Accessor/Fast.pm blib/lib/Class/Accessor/Fast.pm cp lib/Class/Accessor.pm blib/lib/Class/Accessor.pm PERL_DL_NONLAZY=1 "/home/jkeenan/testing/blead/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/accessors.t ..... ok t/aliases.t ....... ok t/antlers.t ....... ok t/bestpractice.t .. ok t/caller.t ........ skipped: Sub::Name is not installed t/croak.t ......... ok t/getset.t ........ ok All tests successful. Files=7, Tests=133, 0 wallclock secs ( 0.03 usr 0.00 sys + 0.20 cusr 0.01 csys = 0.24 CPU) Result: PASS Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/Class/Accessor.pm Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/Class/Accessor/Faster.pm Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/Class/Accessor/Fast.pm Appending installation info to /home/jkeenan/testing/blead/lib/perl5/5.25.9/x86_64-linux/perllocal.pod -> OK Successfully installed Class-Accessor-0.34 Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/x86_64-linux/.meta/Class-Accessor-0.34/install.json Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/x86_64-linux/.meta/Class-Accessor-0.34/MYMETA.json Building and testing Class-Accessor-Chained-0.01 Building Class-Accessor-Chained t/00compile.t .. ok t/chained.t .... ok All tests successful. Files=2, Tests=8, 0 wallclock secs ( 0.01 usr 0.00 sys + 0.06 cusr 0.00 csys = 0.07 CPU) Result: PASS Building Class-Accessor-Chained Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/Class/Accessor/Chained.pm Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/Class/Accessor/Chained/Fast.pm -> OK Successfully installed Class-Accessor-Chained-0.01 Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/x86_64-linux/.meta/Class-Accessor-Chained-0.01/install.json Installing /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.9/x86_64-linux/.meta/Class-Accessor-Chained-0.01/MYMETA.json Building and testing Module-Depends-0.16 Building Module-Depends Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/^No { <-- HERE Build,Makefile}.PL found / at t/depends.t line 47. # Looks like your test exited with 255 before it could output anything. t/depends.t .. Dubious, test returned 255 (wstat 65280, 0xff00) Failed 20/20 subtests Test Summary Report ------------------- t/depends.t (Wstat: 65280 Tests: 0 Failed: 0) Non-zero exit status: 255 Parse errors: Bad plan. You planned 20 tests but ran 0. Files=1, Tests=0, 0 wallclock secs ( 0.00 usr 0.01 sys + 0.03 cusr 0.00 csys = 0.04 CPU) Result: FAIL Failed 1/1 test programs. 0/0 subtests failed. -> FAIL Installing Module::Depends failed. See /home/jkeenan/.cpanm/work/1483530005.31251/build.log for details. Retry with --force to force install it. 2 distributions installed
From: ppisar [...] redhat.com
Download (untitled) / with headers
text/plain 266b
Dne Út 20.pro.2016 12:00:29, JKEENAN napsal(a): Show quoted text
> This syntax will be illegal in perl-5.26. See, e.g., > http://www.cpantesters.org/cpan/report/fd3e3ef6-c40f-11e6-926d- > 5fb4c671d6e6 > > The patch attached may provide a solution. >
A proper patch is attached.
Subject: Module-Depends-0.15-Fix-escaping-literal-curly-brackates-in-a-regexp.patch
From d60c404d7a242b843d90b9802c282d3374bfb413 Mon Sep 17 00:00:00 2001 From: =?UTF-8?q?Petr=20P=C3=ADsa=C5=99?= <ppisar@redhat.com> Date: Mon, 22 May 2017 14:12:46 +0200 Subject: [PATCH] Fix escaping literal curly brackates in a regexp MIME-Version: 1.0 Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding: 8bit Literal '{' in a regexp must be escaped since 5.26.0 CPAN RT#119324 CPAN RT#115053 Signed-off-by: Petr Písař <ppisar@redhat.com> --- t/depends.t | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-) diff --git a/t/depends.t b/t/depends.t index bfff844..5fe94f2 100644 --- a/t/depends.t +++ b/t/depends.t @@ -44,7 +44,7 @@ like( $notthere->dist_dir('t/empty')->find_modules; like( $notthere->error, - qr{^No {Build,Makefile}.PL found }, + qr{^No \{Build,Makefile\}.PL found }, "fails on empty dir" ); -- 2.9.4


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.